package nckd.jxccl.sit.hcsi.business.coordination.api;

import kd.hr.hbp.business.coordination.api.ext.CoordExtRegister;
import kd.hr.hbp.business.coordination.model.CoordContext;
import kd.hr.hbp.business.coordination.model.VerifBillStageEnum;

public class SinsurCoordExtRegister implements CoordExtRegister {

    @Override
    public void registerHandler(CoordContext context) {
        CoordExtRegister.super.registerHandler(context);
        context.addVerifyBillBeforeSaveHandler(VerifBillStageEnum.AFTER_RULE_EXECUTE, new SinsurVerifBillBeforeSaveHandlerEx());
    }
}
